Subject: Re: kobject: Fix kobject_rename and !CONFIG_SYSFS

From: [email-masked] (Eric W. Biederman)
Date: Tue, 13 May 2008 00:00:06 -0700

Greg KH <[email-masked]> writes:

>
> Eric, Randy Dunlap has found that this patch breaks the build when
> CONFIG_SYSFS is not enabled.  Can you please fix it up before I send it
> to Linus?
>
> The exact error is:
> In file included from /local/linsrc/next-20080509/include/linux/kobject.h:21,
>                  from /local/linsrc/next-20080509/include/linux/module.h:16,
>                  from /local/linsrc/next-20080509/include/linux/crypto.h:21,
>                  from
> /local/linsrc/next-20080509/arch/x86/kernel/asm-offsets_64.c:7,
>                  from
> /local/linsrc/next-20080509/arch/x86/kernel/asm-offsets.c:4:
> /local/linsrc/next-20080509/include/linux/sysfs.h: In function
> 'sysfs_rename_dir':
> /local/linsrc/next-20080509/include/linux/sysfs.h:142: error: implicit
> declaration of function 'kobject_set_name'

I will take a look in the morning and see if I can see what is wrong.

Which tree was this error against?  I thought I tested this case,
and I'm wondering if there might be another patch that is hiding
kobject_set_name.

Eric